#!/usr/bin/env python
# -*- coding: utf-8 -*-
# vi:si:et:sw=4:sts=4:ts=4

import os
import sys

if sys.platform == 'win32':
    from os.path import normpath, dirname, abspath, join
    import site
    base = normpath(dirname(dirname(dirname(abspath(__file__)))))
    for site_packages in (
        join(base, 'openmedialibrary'),
        join(base, 'platform', 'Shared', 'lib', 'python3.4', 'site-packages'),
        join(base, 'platform', 'Shared', 'lib', 'python3.7', 'site-packages'),
        join(base, 'platform_win32', 'Lib', 'site-packages'),
    ):
        site.addsitedir(site_packages)
    sys.path.append(join(base, 'platform_win32'))
    os.environ['oxCACHE'] = join(base, 'data', 'ox')

import api
import commands
import server

if len(sys.argv) > 1 and sys.argv[1] == 'server':
    server.run()
else:
    commands.main()
if sys.platform == 'win32':
    # Work around pyopenssl exception to shutdown
    def handle_exception(*args, **kwargs):
        pass
    sys.excepthook = handle_exception
